JV-LinkExchanger - Migrating from Joomla! 1.5 to Joomla! 2.5

In this article, you will learn how to migrate JV-LinkExchanger from a Joomla 1.5 website to Joomla 2.5 website

Please follow the instructions below to move all JV-LinkExchanger data and settings stored in database tables from your existing JV-LinkExchanger installation in Joomla! 1.5 website to your Joomla! 2.5 website:

You must be using JV-LinkExchanger 2.5 Build-150 of component on your Joomla! 1.5 website, to do this data migration. If not please upgrade to 2.5 Build-150 first on your Joomla 1.5 website. You may download this version from Downloads area

Pre-Requisites:

  1. Access to database manager like phpmyadmin
  2. Access to file manager in Cpanel or FTP access to your Joomla! 1.5 and Joomla! 2.5 websites
  3. Admin access to Joomla! 1.5 and Joomla! 2.5 websites

Migration Steps:

  1. Install JV-LinkExchanger component version 2.5 Build-150 on your Joomla! 2.5 website
  2. Go to Joomla! 1.5 database using phpmyadmin.
  3. Run an export of all tables that start with jos_jvle_ and download the contents as an sql file. Please change jos_ if you are using a different database prefix for Joomla!
  4. Go to Joomla! 2.5 database using phpmyadmin
  5. Select and delete all tables that, start with jos_jvle_. Please change jos_ if you are using a different database prefix for Joomla!
  6. Run an import in Joomla! 2.5 database and select the sql file downloaded in step-3 during this import. Import should be successful
  7. Using FTP or file manager, empty {Joomla}/images/com_jvle folder in your Joomla! 2.5 website
  8. FTP or copy all the files from {Joomla}/images/com_jvle folder in Joomla! 1.5 site to {Joomla}/images/com_jvle folder in Joomla! 2.5 site.
  9. At this stage, migration is complete. You may now check the backend and frontend of JV-LinkExchanger in your Joomla! 2.5 to confirm that things are working as in Joomla! 1.5 site.

At this point of time, your data is migrated on to your Joomla 2.5 website on 2.5 Build-150 version of JV-LinkExchanger. You may now upgrade JV-LinkExchanger on Joomla 2.5 website, using the usual upgrade process to move to the latest JV-LinkExchanger version. You may  also install the module in your Joomla! 2.5 site and enable them as required.

Still need help? Contact Support Contact Support